# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/sitronix,st7920.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Sitronix ST7920 LCD Display Controllers

maintainers:
  - Iker Pedrosa <ikerpedrosam@gmail.com>

description:
  The Sitronix ST7920 is a controller for monochrome dot-matrix graphical LCDs,
  most commonly used for 128x64 pixel displays.

properties:
  compatible:
    const: sitronix,st7920

  reg:
    maxItems: 1

  vdd-supply:
    description: Regulator that provides 5V Vdd power supply

  reset-gpios:
    maxItems: 1

  spi-max-frequency:
    maximum: 600000

required:
  - compatible
  - reg
  - spi-max-frequency

allOf:
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        display@0 {
            compatible = "sitronix,st7920";
            reg = <0>;
            vdd-supply = <&reg_5v>;
            reset-gpios = <&gpio 25 GPIO_ACTIVE_LOW>;
            spi-max-frequency = <600000>;
            spi-cs-high;
        };
    };
